Subject: Re: [EXT] Re: [PATCH net-next 1/2] bnx2x: Utilize firmware 7.13.20.0

From: Greg KH <[email-masked]>
Date: Wed, 27 Oct 2021 07:01:35 +0200

On Tue, Oct 26, 2021 at 08:30:34PM +0000, Manish Chopra wrote:
> > -----Original Message-----
> > From: Greg KH <[email-masked]>
> > Sent: Wednesday, October 27, 2021 1:35 AM
> > To: Manish Chopra <[email-masked]>
> > Cc: [email-masked]; [email-masked]; [email-masked]; Ariel
> > Elior <[email-masked]>; Sudarsana Reddy Kalluru <[email-masked]>;
> > [email-masked]; Shai Malin <[email-masked]>; Omkar Kulkarni
> > <[email-masked]>; Nilesh Javali <[email-masked]>; GR-everest-
> > [email-masked]
> > Subject: [EXT] Re: [PATCH net-next 1/2] bnx2x: Utilize firmware 7.13.20.0
> > 
> > External Email
> > 
> > ----------------------------------------------------------------------
> > On Tue, Oct 26, 2021 at 12:37:16PM -0700, Manish Chopra wrote:
> > > Commit 0050dcf3e848 ("bnx2x: Add FW 7.13.20.0") added a new .bin
> > > firmware file to linux-firmware.git tree. This new firmware addresses
> > > few important issues and enhancements as mentioned below -
> > >
> > > - Support direct invalidation of FP HSI Ver per function ID, required for
> > >   invalidating FP HSI Ver prior to each VF start, as there is no VF
> > > start
> > > - BRB hardware block parity error detection support for the driver
> > > - Fix the FCOE underrun flow
> > > - Fix PSOD during FCoE BFS over the NIC ports after preboot driver
> > >
> > > This patch incorporates this new firmware 7.13.20.0 in bnx2x driver.
> > >
> > > Signed-off-by: Manish Chopra <[email-masked]>
> > > Signed-off-by: Shai Malin <[email-masked]>
> > > Signed-off-by: Omkar Kulkarni <[email-masked]>
> > > Signed-off-by: Ariel Elior <[email-masked]>
> > 
> > 
> > <formletter>
> > 
> > This is not the correct way to submit patches for inclusion in the stable kernel
> > tree.  Please read:
> >     https://urldefense.proofpoint.com/v2/url?u=https-
> > 3A__www.kernel.org_doc_html_latest_process_stable-2Dkernel-
> > 2Drules.html&d=DwIBAg&c=nKjWec2b6R0mOyPaz7xtfQ&r=bMTgx2X48QVXyXO
> > EL8ALyI4dsWoR-m74c5n3d-
> > ruJI8&m=ty09KAp_t8LlTicBDOtEO7pxmxWrH0D0JgMAieGU5RA&s=2fheQ69qq4l
> > tmmFzYYyaQXTj7naqE87MTdo3bL9sJYY&e=
> > for how to do this properly.
> > 
> > </formletter>
> 
> Hello Greg,
> 
> This patch set is mainly meant for net-next.git, can you please tell about the issue more specifically ?
> Do you mean that I should not have Cced stable here ? is that the problem ?

Please read the link I sent you for how to properly get patches accepted
into the stable kernel trees, it should answer this question for you.

thanks,

greg k-h